API for affiliates › Authorization Confirm email address via the link from the email GET /api/crm/v2/application.confirm_emailv2
operationId: application.confirmEmail
Called without a session. Confirms the address using a one-time token. Sets the confirmation flag during registration. When changing the address, sets the new address as the login, notifies the previous address, and terminates all user sessions.
Errors:
334 — link is invalid or already used
335 — link has expired
111 — address has been taken during this time.
Authorization language + role
Query parameters token string required
Example: b1e0f4c8d2a7…
Responses 200
object
status string required
Values: successerror
Example: success
data object
email string
Confirmed email address, also used as login
Example: example@example.com
is_email_changed boolean
true — email address change confirmed, false — registration
Example: true
curl PHP JavaScript Python Copy
curl -X GET 'https://foodsoul.ru/api/crm/v2/application.confirm_email?token=b1e0f4c8d2a7%E2%80%A6' \
-H 'language: en' \
-H 'role: affiliate' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.ru/api/crm/v2/application.confirm_email?token=b1e0f4c8d2a7%E2%80%A6' , [
'headers' => [
'language' => 'en' ,
'role' => 'affiliate' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/application.confirm_email?token=b1e0f4c8d2a7%E2%80%A6" , {
method : "GET" ,
headers : {
"language" : "en" ,
"role" : "affiliate"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.ru/api/crm/v2/application.confirm_email?token=b1e0f4c8d2a7%E2%80%A6" ,
headers ={
"language" : "en" ,
"role" : "affiliate" ,
},
)
data = response . json () Response 200
{
"status" : "success" ,
"data" : {
"email" : "example@example.com" ,
"is_email_changed" : true
}
} Requests are sent to foodsoul.ru — the host of this portal; you cannot choose another one.